From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Lemures Lemniscati <lemures.lemniscati@gmail.com>
Date: Fri, 15 Jan 2021 18:52:44 +0900
Subject: [PATCH] Add a flag __SKIP_LIST_DEPS_LUA to skip detecting depedency


diff --git a/lib/pkg_info.cygpart b/lib/pkg_info.cygpart
index 98f7808..1b27b61 100644
--- a/lib/pkg_info.cygpart
+++ b/lib/pkg_info.cygpart
@@ -331,7 +331,14 @@ __list_deps() {
 		done
 	fi
 
-	if check_prog lua
+#****v* Information/__SKIP_LIST_DEPS_LUA
+#  DESCRIPTION
+#  A flag in __list_deps() to skip detecting depedency on lua.
+#  Set a nonempty string to __SKIP_LIST_DEPS_LUA in order to skip.
+#  (e.g. in case Lua's of different versions exist).
+#****
+
+	if [ -z "${__SKIP_LIST_DEPS_LUA}" ] && check_prog lua
 	then
 		luapaths=($(lua -e 'print(package.path..";"..package.cpath)' | tr '\;' ' '))
 		luapaths+=" ${DEPS_PATH//:/ }"
-- 
2.30.0

